summaryrefslogtreecommitdiff
path: root/dev-python/shapely
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-10-08 03:05:01 -0500
committerCrucible <crucible@localhost>2026-10-08 03:05:01 -0500
commitac0126af4bbed1cc9dd34c9d8394875eb06f1ad9 (patch)
treec8fc2b7a985f8e35ead87530c62bfeb3edb46472 /dev-python/shapely
parent4f8f07779b4dd78123821b104e43fd1eb15281dd (diff)
downloadsrcux-ac0126af4bbed1cc9dd34c9d8394875eb06f1ad9.tar.gz
srcux-ac0126af4bbed1cc9dd34c9d8394875eb06f1ad9.tar.xz
srcux-ac0126af4bbed1cc9dd34c9d8394875eb06f1ad9.zip
Publish srcux candidate 0000000587-20261008-030306
Diffstat (limited to 'dev-python/shapely')
-rw-r--r--dev-python/shapely/Manifest1
-rw-r--r--dev-python/shapely/shapely-2.2.0.ebuild48
2 files changed, 49 insertions, 0 deletions
diff --git a/dev-python/shapely/Manifest b/dev-python/shapely/Manifest
index ea385628c0e5..0d338076290a 100644
--- a/dev-python/shapely/Manifest
+++ b/dev-python/shapely/Manifest
@@ -1 +1,2 @@
DIST shapely-2.1.2.gh.tar.gz 371669 BLAKE2B d11c6c11e4567518d3bb6b4ec0ecf560ed2351d863825cb0c60465a303f5fe7fd6f5f957596745436b7fab0f38e6f2e2d0f259764002deb685eb6ec71f131d13 SHA512 2da9a4b92726c1a3f272f9b4358bc96b7da419550058179d73dd46c3bdfefe3133a30ff7a29dfaae0a1823fd5a9c9b6014dc485b637dff029242f3e8e27f1058
+DIST shapely-2.2.0.gh.tar.gz 373682 BLAKE2B f6ea958ccdeaf6bee3a04a403a55ef47c41728f749cde57e7ccab3dc31563d387cd2bf3ff3ceb8ead5b93e44eb16ecdb9667fbd173ebe80dedc9fbe7a3de0c62 SHA512 72aaec34c421c09f2755e8f5f4142d321e8cf9cd18810304066448e10ae817b8dde24dc7d5c54cdfc4fd7aada4f79802df8eaf218fab3387e83e3765c92045f4
diff --git a/dev-python/shapely/shapely-2.2.0.ebuild b/dev-python/shapely/shapely-2.2.0.ebuild
new file mode 100644
index 000000000000..10b538882e6a
--- /dev/null
+++ b/dev-python/shapely/shapely-2.2.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+# TODO: freethreading
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Geometric objects, predicates, and operations"
+HOMEPAGE="
+ https://pypi.org/project/shapely/
+ https://github.com/shapely/shapely/
+"
+SRC_URI="
+ https://github.com/shapely/shapely/archive/${PV/_p/.post}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+DEPEND="
+ dev-python/numpy:=[${PYTHON_USEDEP}]
+ >=sci-libs/geos-3.11.4
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ ${DEPEND}
+ >=dev-python/cython-0.29.32[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ rm -rf shapely || die
+ epytest --pyargs shapely
+}